%define name    synergy
%define version 1.3.1

Summary:   Mouse and keyboard sharing utility
Name:      %{name}
Version:   %{version} 
Release:   %mkrel 1
License:   GPL
Url:       http://synergy2.sf.net
Group:     Networking/Remote access
Source:    http://prdownloads.sourceforge.net/synergy2/%{name}-%{version}.tar.bz2
Source1:   %{name}c.1.bz2    
Source2:   %{name}s.1.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires : XFree86-devel

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
# For gcc 4.1, disable error on warning for this dir, until error handling
# on return values of chdir() and dup() are added:
perl -pi -e 's/ -Werror / /g' lib/arch/Makefile
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}c.1
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}s.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README examples/synergy.conf doc/*.html
%{_bindir}/%{name}c
%{_bindir}/%{name}s
%{_mandir}/man1/*


%changelog
* Sat Nov 11 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1-1mdv2007.0
+ Revision: 82316
- Import synergy



* Tue Oct 17 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1-1mdv2007.1
- New version 1.3.1

* Tue Mar 28 2006 Michael Scherer <misc@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 1.2.8-1mdk
- New release 1.2.8

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 1.2.7-1mdk
- New release 1.2.7

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.2.5-1mdk
- New release 1.2.5
- mkrel
- remove unused patch

* Mon Oct 03 2005 Austin Acton <austin@mandriva.org> 1.2.4-1mdk
- New release 1.2.4

* Mon Mar 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.2.2-1mdk
- release 1.2.2

* Wed Sep 15 2004 Michael Scherer <misc@mandrake.org> 1.0.14-3mdk 
- fix reading of user config file
- some specs cleaning

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.0.14-2mdk 
- rebuild for new gcc

* Wed Apr 21 2004 Michael Scherer <misc@mandrake.org> 1.0.14-1mdk 
- 1.0.14
- rpmbuildupdate aware
- Remove Requires

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- buildrequires

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- from Michael Scherer <scherer.michael@free.fr> : 
	- Initial mandrake package, based on rpm from Chris Schoeneman <crs23@bigfoot.com>
	- man pages taken from Debian package from Daniel Lutz <danlutz@debian.org>
